<h1 mat-dialog-title>{{data.product.name}}</h1>
<mat-form-field class="example-form-field">
  <mat-label>Ingrese una cantidad a comprar</mat-label>
  <input matInput type="number" value="1" min="1" max={{data.product.max}} [(ngModel)]="quantity">
</mat-form-field>
<div mat-dialog-actions>
  <button mat-flat-button color="red" (click)="onNoClick()">Salir</button>
  <button mat-flat-button color="green" (click)="onYesClick()">Agregar</button>
</div>
